Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Relationship

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.Relationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieRelationship

public class Relationship
extends TieSystemObject

An instance of Relationship can link (or relate) two public objects to each other. The relationship can be viewed as an arrow drawn from one object to the other; in this relationship one object "points" to the other. This implies a direction to the relationship and this class supports that concept.

You can have a single object related to many other objects. In addition, you can have different types of relationships by using sublcasses of the Relationship class. For example, Folders references are implemented using the FolderPathRelationship class which relates a Folder to the items it "contains".

The PublicObject class has a number of methods that facilitate the use of instances of relationship.

See Also:
  `PublicObject`

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `LEFTOBJECT_ATTRIBUTE` The source (left) object of the Relationship.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the Relationship.
`static java.lang.String` | `RIGHTOBJECT_ATTRIBUTE` The source (right) object of the Relationship.
`static java.lang.String` | `SORTSEQUENCE_ATTRIBUTE` A sort sequence number for the Relationship.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Method Summary
`PublicObject` | `getLeftObject()` returns the public object of the "left" side of this relationship
`PublicObject` | `getRightObject()` returns the public object of the "right" side of this relationship
`long` | `getSortSequence()` Determine the sort sequence.

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, getPropertyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  The name of the Relationship.

### LEFTOBJECT_ATTRIBUTE

    public static final java.lang.String LEFTOBJECT_ATTRIBUTE

  The source (left) object of the Relationship.

### RIGHTOBJECT_ATTRIBUTE

    public static final java.lang.String RIGHTOBJECT_ATTRIBUTE

  The source (right) object of the Relationship.

### SORTSEQUENCE_ATTRIBUTE

    public static final java.lang.String SORTSEQUENCE_ATTRIBUTE

  A sort sequence number for the Relationship. The SortSequence attribute may be used to order relationships between a single left object and multiple right objects.

Method Detail

### getLeftObject

    public PublicObject getLeftObject()
                               throws IfsException

  returns the public object of the "left" side of this relationship
  Returns:
    the public object of the "left" side of this relationship
  Throws:
    `IfsException` - if operation fails.

### getRightObject

    public PublicObject getRightObject()
                                throws IfsException

  returns the public object of the "right" side of this relationship
  Returns:
    the public object of the "right" side of this relationship
  Throws:
    `IfsException` - if operation fails.

### getSortSequence

    public long getSortSequence()
                         throws IfsException

  Determine the sort sequence.
  Returns:
    The sort sequence.
  Throws:
    `IfsException` - If the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD